.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the BoneAttachment.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_BoneAttachment:

BoneAttachment
==============

**Inherits:** :ref:`Spatial<class_spatial>` **<** :ref:`Node<class_node>` **<** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

A node that will attach to a bone.

Member Variables
----------------

  .. _class_BoneAttachment_bone_name:

- :ref:`String<class_string>` **bone_name** - The name of the attached bone.


Description
-----------

This node must be the child of a :ref:`Skeleton<class_skeleton>` node. You can then select a bone for this node to attach to. The BoneAttachment node will copy the transform of the selected bone.

